Subject: Telescope
From: Kay price <[email-masked]>
To: Jim Kirchstein <[email-masked]>
Date: Fri, 28 Jun 2013 23:09:55 -0500

Jim, just so you know, I returned the telescope to the library the day we met at Barnes. You were implying that I was a thief. My reputation means more to me than a telescope. I certainly don't want to be an excuse or scapegoat for you if you want to leave the board. 

I am sorry our friendship of 30 plus years did not allow you room to trust me. I am still at a loss for why you repeatedly told me to remove the telescope, if you didn't know it belonged to me? Did you forget?? Karen and Bill both said we used the telescope to make Hugo feel good. Why not, since he wouldn't be around long and it was a nice way to make a lonely old man feel special.

I have always been your loyal friend and if anyone questioned the expenses on the charge card I always defended you and said we needed items purchased to do the archiving. I think when you saw that the expenses amounted to $18,000 and it would be questioned you decided to quit rather than be accountable. 

No one has ever implied you did anything wrong, they just wanted to know what we actually bought and what each item cost. You have contributed so much to the ADS and I do think you have been very appreciated. 

Kay